VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::PowerTypes::Info Class Reference

The `Power.Info` class contains information about the power state of a virtual machine. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
vmware.vcenter.vm.PowerTypes.State | GetState ()
| Power state of the virtual machine.
void | SetState (vmware.vcenter.vm.PowerTypes.State state)
| Power state of the virtual machine.
bool | GetCleanPowerOff ()
| Flag indicating whether the virtual machine was powered off cleanly.
void | SetCleanPowerOff (bool?cleanPowerOff)
| Flag indicating whether the virtual machine was powered off cleanly.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Power.Info` class contains information about the power state of a virtual machine.

## Constructor & Destructor Documentation

vmware::vcenter::vm::PowerTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::PowerTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::PowerTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::PowerTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::PowerTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::PowerTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::PowerTypes::Info::Equals | ( | object | obj | ) | `[inline]`

bool vmware::vcenter::vm::PowerTypes::Info::GetCleanPowerOff | ( |  | ) | `[inline]`

Flag indicating whether the virtual machine was powered off cleanly.

This field may be used to detect that the virtual machine crashed unexpectedly and should be restarted.

override int vmware::vcenter::vm::PowerTypes::Info::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.vm.PowerTypes.State vmware::vcenter::vm::PowerTypes::Info::GetState | ( |  | ) | `[inline]`

Power state of the virtual machine.

void vmware::vcenter::vm::PowerTypes::Info::SetCleanPowerOff | ( | bool? | cleanPowerOff | ) | `[inline]`

Flag indicating whether the virtual machine was powered off cleanly.

This field may be used to detect that the virtual machine crashed unexpectedly and should be restarted.

void vmware::vcenter::vm::PowerTypes::Info::SetState | ( | vmware.vcenter.vm.PowerTypes.State | state | ) | `[inline]`

Power state of the virtual machine.

override string vmware::vcenter::vm::PowerTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- PowerTypes.cs